
Redmine - Defect #35416

Problem with response time when creating a issue and answering it.

2021-06-14 08:43 - Ilissey Bolyev

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Good afternoon, there's been a problem recently. Increasing response time when creating and responding to a request. In the logs I

see the following "Completed 302 Found in 60625ms (ActiveRecord: 91.6ms)." I tried to turn off all the plugins, but it didn't help.

Tell me what logs you need to attach

Environment:

Redmine version                3.4.4.stable

Ruby version                   2.5.1-p57 (2018-03-29) [x86_64-linux-gnu]

Rails version                  4.2.11.1

Environment                    production

Database adapter               Mysql2

SCM:

Git                            2.17.1

Filesystem

Redmine plugins:

additionals                    2.0.9

event_notifications            2.4.1

redmine_autoclose              0.0.4

redmine_checklists             3.1.11

redmine_custom_reports         0.1.5

redmine_documents_short        0.4.0

redmine_email_fetcher          0.3.1

redmine_gemavatar              1.1

redmine_impersonate            1.0.0

redmine_landing_page           0.1.0

redmine_ldap_sync              2.1.1.devel

redmine_lightbox2              0.4.3

redmine_mail_handler_clean_body_regexp 0.1

redmineup_tags                 2.0.2

sidebar_hide                   0.0.8

view_customize                 1.2.2

History

#1 - 2021-06-14 11:31 - Holger Just

- Status changed from New to Needs feedback

Depending on your configuration, Redmine may send multiple notifications mails on issue creation or updates. This might be done "inline" (i.e. while

the page is handled / rendered. Depending on how you have configured your outgoing emails, this might take some time.

See Email Configuration for an option of how you might be able to improve this. Alternatively (or in addition to that), you may also use a local mail

server which forwards mails to your desired SMTP smarthost.

If this still does not help, please make sure to send some more details. At least, please you may need to add a full debug log entry of your request.

You can increase the log verbosity by adding config.log_level = :debug into the configure block in config/environments/production.rb and restarting

your Redmine application.

#2 - 2021-06-14 12:17 - Ilissey Bolyev

Thank you very much for the advice, changed in the settings from smtp to async_smtp. now there are really no problems with the delay, I will look for

what was the problem on the smtp side.
https://www.redmine.org/projects/redmine/wiki/Email_Configuration#Asynchronous-delivery_methods


#3 - 2021-06-14 23:14 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed

- Resolution set to Invalid
